Subject: Re: bug#68226: [PATCH] Improve block_node handling for yaml-ts-mode fill-paragraph

From: Yuan Fu <[email-masked]>
Date: Tue, 2 Jan 2024 20:41:52 -0800

> On Jan 2, 2024, at 2:10 PM, Graham Marlow <[email-masked]> wrote:
> 
> Hello Emacs maintainers,
> 
> I noticed that the yaml-ts-mode fill-paragraph function doesn't play nicely with block nodes, making it difficult to tidy paragraphs. For example,
> 
> foo: |
>  line-one
>  line-two
> 
> Becomes
> 
> foo: | line-one line-two
> 
> Effectively undoing the block.
> 
> My proposed changes (see attached patch) fixes this behavior so that block nodes remain formatted correctly:
> 
> foo: |
>  line-one line-two
> 
> It also plays nicely with longer pieces of text and multiple paragraphs.
> 
> I tried to base my changes off of the fill-paragraph function from c-ts-common, though the YAML version is much simpler since it doesn't need to account for comment insertion. I've not written a fill-paragraph function before so I'm sure I messed something up.
> 
> What do you think?<0001-Improve-block_node-handling-for-yaml-ts-mode-fill-pa.patch>

Thank you! This is great. The function assumes that the block starts at the line below “|”, but I think it’s very rare when people write string block right after the “|”.

Have you signed the copyright assignment?

Yuan